<?php // Do not delete these lines
	if ('comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');

        if (!empty($post->post_password)) { // if there's a password
            if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) {  // and it doesn't match the cookie
				?>
				
				<p class="nocomments"><?php _e("This post is password protected. Enter the password to view comments."); ?><p>
				
				<?php
				return;
            }
        }

		/* This variable is for alternating comment background */
		$oddcomment = 'alt';
?>
<!-- You can start editing here. -->
<?php if ($comments) : ?>
<div class="commentwrapper">
	<h3 id="comments"><?php comments_number('Skriv en kommentar', '1 Kommentar', '% Kommentarer' );?> on &#8220;<?php the_title(); ?>&#8221;</h3> 
	<ol class="commentlist">
	<?php foreach ($comments as $comment) : ?>
		<li class="<?php echo $oddcomment; ?>" id="comment-<?php comment_ID() ?>">
			<b><?php comment_author() ?></b> Says:
			<?php if ($comment->comment_approved == '0') : ?>
			<em>Din kommentar afventer Moderator.</em>
			<?php endif; ?>
			<br />
			<div class="commentmetadata"><?php comment_date('j F, Y') ?> at <?php comment_time() ?> <?php edit_comment_link('Rediger','[ ',' ]'); ?></div>
			<?php comment_text() ?>
		</li>
	<?php /* Changes every other comment to a different class */	
		if ('alt' == $oddcomment) $oddcomment = '';
		else $oddcomment = 'alt';
	?>
	<?php endforeach; /* end for each comment */ ?>
	</ol>
<?php else : // this is displayed if there are no comments so far ?>
	<?php if ('open' == $post-> comment_status) : ?> 
		<!-- If comments are open, but there are no comments. -->
	<?php else : // comments are closed ?>
		<!-- If comments are closed. -->
		<p class="nocomments"><!--Comments are closed.--></p>
</div>
	<?php endif; ?>
<?php endif; ?>

<?php if ('open' == $post-> comment_status) : ?>
<div class="commentwrapper">
<h3 id="respond">Skriv en Kommentar</h3>
<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
	<p>Du skal <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php the_permalink(); ?>">logge ind</a> for at skrive her.</p>
<?php else : ?>
	<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
	<?php if ( $user_ID ) : ?>
		<p>Logget ind som <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. [ <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="<?php _e('Log out of this account') ?>">Log ud</a> ]</p>
	<?php else : ?>
		<p><label for="author"><small>Navn <?php if ($req) _e('(Skal Udfyldes)'); ?></small></label><br /><input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="1" style="width:100%;" /></p>
		<p><label for="email"><small>Mail (Vil ikke blive vist.) <?php if ($req) _e('(required)'); ?></small></label><br /><input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="2" style="width:100%;" /></p>
		<p><label for="url"><small>Webside</small></label><br /><input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="3" style="width:100%;" /></p>
<?php endif; ?>

		<!--<p><small><strong>XHTML:</strong> Du kan bruge disse tags: <?php echo allowed_tags(); ?></small></p>-->
		<p><textarea name="comment" id="comment" cols="70" rows="10" tabindex="4" style="width:96%;"></textarea></p>
		<p><input name="submit" type="submit" id="submit" tabindex="5" value="Send besked" />
		<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" /></p>
		<?php do_action('comment_form', $post->ID); ?>
	</form>
</div>
<?php endif; // If registration required and not logged in ?>
<?php endif; // if you delete this the sky will fall on your head ?>